/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 广告点击 POST /api/AdvertiseOnShow/AdvertiseOnShowClick */
export async function advertiseOnShowClick(
  body: API.AdvertiseOnShowClickInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/AdvertiseOnShow/AdvertiseOnShowClick', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 新增编辑广告 POST /api/AdvertiseOnShow/CreateOrEditAdvertiseOnShow */
export async function createOrEditAdvertiseOnShow(
  body: API.CreateOrEditAdvertiseOnShowInput,
  options?: API.RequestConfig
) {
  return request<string>('/api/AdvertiseOnShow/CreateOrEditAdvertiseOnShow', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 删除广告 DELETE /api/AdvertiseOnShow/DeleteAdvertiseOnShow */
export async function deleteAdvertiseOnShow(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIdeleteAdvertiseOnShowParams,
  options?: API.RequestConfig
) {
  return request<number>('/api/AdvertiseOnShow/DeleteAdvertiseOnShow', {
    method: 'DELETE',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取广告详情 GET /api/AdvertiseOnShow/GetAdvertiseOnShowInfo */
export async function getAdvertiseOnShowInfo(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetAdvertiseOnShowInfoParams,
  options?: API.RequestConfig
) {
  return request<API.AdvertiseOnShowDto>('/api/AdvertiseOnShow/GetAdvertiseOnShowInfo', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

/** 获取广告列表 POST /api/AdvertiseOnShow/GetAdvertiseOnShowList */
export async function getAdvertiseOnShowList(
  body: API.AdvertiseOnShowListInput,
  options?: API.RequestConfig
) {
  return request<API.AdvertiseOnShowDtoPageOutput>('/api/AdvertiseOnShow/GetAdvertiseOnShowList', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** 根据页面获取该页需要呈现的广告 GET /api/AdvertiseOnShow/GetAdvertiseOnShowListByPageType */
export async function getAdvertiseOnShowListByPageType(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.APIgetAdvertiseOnShowListByPageTypeParams,
  options?: API.RequestConfig
) {
  return request<API.AdvertiseOnShowDto[]>(
    '/api/AdvertiseOnShow/GetAdvertiseOnShowListByPageType',
    {
      method: 'GET',
      params: {
        ...params,
      },
      ...(options || {}),
    }
  );
}

/** 设置广告状态 POST /api/AdvertiseOnShow/SetAdvertiseOnShowStatus */
export async function setAdvertiseOnShowStatus(
  body: API.AdvertiseOnShowStatusInput,
  options?: API.RequestConfig
) {
  return request<number>('/api/AdvertiseOnShow/SetAdvertiseOnShowStatus', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}
